Migration de Debian Jessie vers Stretch

De Linux Server Wiki
Révision datée du 14 juillet 2017 à 12:03 par Pfoo (discussion | contributions) (→‎/etc/apt/sources.list)
(diff) ← Version précédente | Voir la version actuelle (diff) | Version suivante → (diff)
Aller à la navigation Aller à la recherche


Préparation

Identifiez les paquets thirdparty qui pourraient poser soucis lors de la mise à jour

Tous les paquets non fournis par debian peuvent poser problème. A vos risques et péril.

aptitude search '~i(!~ODebian)'
apt-forktracer | sort

Vérifiez l'absence d'action en attente si vous utilisez aptitude

Lancez aptitude puis tapez G

Désactivez le pinning

Dans /etc/apt/preferences et /etc/apt/preferences.d/

Vérifiez l'absence de paquets cassés

dpkg --audit

Enlevez les eventuels holds qui pourraient faire échouer la mise à jour

Pour identifier les paquets en hold :

aptitude search "~ahold" 
dpkg --get-selections | grep 'hold$'

Sources non officiels

Assurez vous que ces sources possèdent des paquets compilés pour la nouvelle version de debian

/etc/apt/sources.list

Remplacez jessie par stretch :

sed -i 's/jessie/stretch/g' /etc/apt/sources.list

Mise à jour

Enregistrez les actions effectuées

script -t 2>~/upgrade-stretch.time -a ~/upgrade-stretch.script

Mise à jour des paquets

apt-get update
apt-get upgrade
apt-get dist-upgrade

Si un prompt vous demande s'il doit installer une nouvelle version d'un fichier, répondez de préférence oui puis faites les adaptations nécessaires à votre configuration après la fin de la mise à jour. L'ancien fichier restera disponible, suffixé de .dpkg-old

Cleanup

Supprimez les paquets qui ne sont plus nécessaires

apt-get autoremove

Identifiez les configurations et fichier résiduels des paquets qui ne sont plus nécessaires

dpkg -l | awk '/^rc/ { print $2 }'

Purgez ces paquets

apt-get purge $(dpkg -l | awk '/^rc/ { print $2 }')

Identifiez et supprimez les paquets obsolètes

Ce sont des paquets qui ne sont plus maintenu par debian.

  • Pour les lister :
aptitude search ?obsolete
  • Pour les supprimer :
aptitude purge ?obsolete